<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="IsModuleTemplate" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="ISProcessId">ISProcessId</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;response>&lt;result>true&lt;/result>&lt;overallResult>true&lt;/overallResult>&lt;responses>&lt;response>&lt;result>true&lt;/result>&lt;body>&lt;query>&lt;id>46&lt;/id>&lt;/query>&lt;/body>&lt;/response>&lt;response>&lt;result>true&lt;/result>&lt;body>&lt;query>&lt;id>47&lt;/id>&lt;/query>&lt;/body>&lt;/response>&lt;response>&lt;result>true&lt;/result>&lt;body>&lt;query>&lt;id>48&lt;/id>&lt;/query>&lt;/body>&lt;/response>&lt;response>&lt;result>true&lt;/result>&lt;body>&lt;queries>&lt;query>&lt;id>46&lt;/id>&lt;displayName>Query 46&lt;/displayName>&lt;visibility>user&lt;/visibility>&lt;description/>&lt;filters/>&lt;createdOn>2025-06-24T14:23:45.000Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2025-06-24T14:23:45.000Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/query>&lt;query>&lt;id>47&lt;/id>&lt;displayName>640143&lt;/displayName>&lt;visibility>organization&lt;/visibility>&lt;description>640143&lt;/description>&lt;filters/>&lt;createdOn>2025-06-24T14:23:45.000Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2025-06-24T14:23:45.000Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/query>&lt;query>&lt;id>48&lt;/id>&lt;displayName>System/640143&lt;/displayName>&lt;visibility>system&lt;/visibility>&lt;description>System/640143&lt;/description>&lt;filters>&lt;filter>&lt;key>id&lt;/key>&lt;operator>=&lt;/operator>&lt;value>123&lt;/value>&lt;/filter>&lt;/filters>&lt;createdOn>2025-06-24T14:23:46.000Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2025-06-24T14:23:46.000Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/query>&lt;/queries>&lt;total>3&lt;/total>&lt;/body>&lt;/response>&lt;/responses>&lt;log>&lt;entries/>&lt;/log>&lt;/response></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISFileSize">1799</Property>
		<Property name="ISCurrentTime" type="Long">1750775027034</Property>
		<Property name="ISWorkflowName">VAM_api_zzz_call_api</Property>
		<Property name="ISModuleName">VAM_zzz_test_validate_each_response</Property>
		<Property name="ISModuleId">438</Property>
		<Property name="ISProcessId">640143</Property>
		<Property name="ISUserName">chkaufhold</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISNodeName">100.78.0.66</Property>
		<Property name="ISGlobalProcessId">640143</Property>
		<Property name="ISOverwriteSubWorkflowPriority" type="Boolean">false</Property>
		<Property name="var.organizationId">zzzwrite</Property>
		<Property name="var.userContext" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;userContext>&lt;login>bpcadmin&lt;/login>&lt;/userContext></Property>
		<Property name="demux.totalIterations" type="Integer">2</Property>
		<Property name="demux.iterator" type="Integer">1</Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:local="local:local" exclude-result-prefixes="#all" version="2.0">
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="ISProcessId"/>&lt;xsl:function name="local:validateField">&lt;xsl:param name="var.queryField" as="element()"/>&lt;xsl:param name="var.expected"/>&lt;xsl:if test="not($var.queryField =$var.expected)">&lt;xsl:sequence select="error((), concat('Bad ',name($var.queryField)))"/>&lt;/xsl:if>&lt;/xsl:function>&lt;xsl:function name="local:validateDisplayName">&lt;xsl:param name="var.query" as="element()"/>&lt;xsl:param name="var.expected"/>&lt;xsl:if test="not($var.query/displayName=$var.expected)">&lt;xsl:sequence select="error((), 'Bad displayName')"/>&lt;/xsl:if>&lt;/xsl:function>
  &lt;xsl:template match="/*">&lt;xsl:sequence select="."/>&lt;xsl:variable name="var.newIDs" select="responses/response/body/query/id" as="element()+"/>&lt;xsl:variable name="var.queries" select="responses/response/body/queries/query" as="element()+"/>&lt;xsl:for-each select="$var.newIDs">&lt;xsl:if test="not(. = $var.queries/id)">&lt;xsl:sequence select="error((), 'Missing')"/>&lt;/xsl:if>&lt;/xsl:for-each>&lt;xsl:variable name="var.expected" as="element()*">&lt;query>&lt;id>&lt;xsl:value-of select="$var.newIDs[1]"/>&lt;/id>&lt;visibility>user&lt;/visibility>&lt;filters/>&lt;description/>&lt;displayName>&lt;xsl:value-of select="concat('Query ', $var.newIDs[1])"/>&lt;/displayName>&lt;/query>&lt;query>&lt;id>&lt;xsl:value-of select="$var.newIDs[2]"/>&lt;/id>&lt;visibility>organization&lt;/visibility>&lt;filters/>&lt;description>&lt;xsl:value-of select="$ISProcessId"/>&lt;/description>&lt;displayName>&lt;xsl:value-of select="$ISProcessId"/>&lt;/displayName>&lt;/query>&lt;query>&lt;id>&lt;xsl:value-of select="$var.newIDs[3]"/>&lt;/id>&lt;visibility>system&lt;/visibility>&lt;filters>&lt;filter>&lt;key>id&lt;/key>&lt;operator>=&lt;/operator>&lt;value>123&lt;/value>&lt;/filter>&lt;/filters>&lt;description>&lt;xsl:value-of select="concat('System/', $ISProcessId)"/>&lt;/description>&lt;displayName>&lt;xsl:value-of select="concat('System/', $ISProcessId)"/>&lt;/displayName>&lt;/query>&lt;/xsl:variable>&lt;xsl:for-each select="$var.expected">&lt;xsl:variable name="var.peer" select="$var.queries[id =current()/id]" as="element()"/>&lt;xsl:sequence select="local:validateField($var.peer/visibility, visibility)"/>&lt;xsl:sequence select="local:validateField($var.peer/displayName, displayName)"/>&lt;xsl:sequence select="local:validateField($var.peer/description, description)"/>&lt;xsl:sequence select="local:validateField($var.peer/filters, filters)">&lt;!--TODO nicht exakt-->&lt;/xsl:sequence>&lt;/xsl:for-each>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
	<Property name="xslt_mode">EDIT</Property>
</Properties>